# $Id: qtango.pri,v 1.4.2.14 2010/04/16 11:19:55 giacomo Exp $
#

TANGO_HOME	= /usr/local/tango-7.1.1
OMNI_HOME	= /usr/local/omniorb-4.1.4
QWT_HOME	= /usr/local/qwt-5.2.0

INSTALL_ROOT=/runtime
KDEVELOP_TEMPLATE_PATH_BASE=/opt/kde3

UBUNTU_7_10 = $$system(cat /etc/issue)
contains( UBUNTU_7_10, 7.10 ) {
    message("Ubuntu 7.10 release detected")
    INSTALL_ROOT=/runtime/elettra
    message(Setting install root to: $$INSTALL_ROOT)
    KDEVELOP_TEMPLATE_PATH_BASE=/usr
}

KDEVELOP_TEMPLATE_PATH = $${KDEVELOP_TEMPLATE_PATH_BASE}/share/apps/kdevappwizard
message(*)
message(* Will install kdevelop templates into $${KDEVELOP_TEMPLATE_PATH})
message(*)

DEFINES += QT_NO_DEBUG_OUTPUT
DEFINES += QTANGO_PRINTINFO

CONFIG += debug

VERSION = 4.0.2
VER_MAJ = 4
VER_MIN = 0

DEFINES += QTANGO_VERSION=\"\\\"$${VERSION}\\\"\" VER_MAJ=$${VER_MAJ} VER_MIN=$${VER_MIN}

unix:INCLUDEPATH = $${QWT_HOME}/include $${OMNI_HOME}/include $${TANGO_HOME}/include

unix:LIBS        = -lqwt -L$${TANGO_HOME}/lib -L$${OMNI_HOME}/lib -L$${QWT_HOME}/lib -ltango \
-llog4tango \
-lomniORB4 \
-lomniDynamic4 \
-lCOS4 \
-lCOSNotify4 \
-lomnithread \
-ldl

# rpath
# Ubuntu 7.10 needs qwt in rpath

contains( UBUNTU_7_10, 7.10 ) {
   unix:LIBS +=  -Wl,-rpath,$${OMNI_HOME}/lib:$${TANGO_HOME}/lib:$${QWT_HOME}/lib
}

!contains( UBUNTU_7_10, 7.10 ) {
    unix:LIBS +=  -Wl,-rpath,$${OMNI_HOME}/lib:$${TANGO_HOME}/lib
}

MOC_DIR		= moc
OBJECTS_DIR	= obj
FORMS_DIR	= ui
LANGUAGE	= C++
TEMPLATE	= app
UI_DIR		= src

QMAKE_DEL_FILE	= rm -rf
QMAKE_CLEAN	= moc obj Makefile *.tag
QMAKE_RPATH	=
QMAKE_EXTRA_UNIX_TARGETS += docs

LIB_DIR		= $${INSTALL_ROOT}/lib
QTANGOLIBS	= -lQTango -lQTangoCore -lqtcontrols
INC_DIR		= $${INSTALL_ROOT}/include/qtango4
SHAREDIR	= $${INSTALL_ROOT}/share

docs.commands	= doxygen Doxyfile;

unix:INCLUDEPATH += $${INC_DIR}
unix:LIBS        += -L$${LIB_DIR} $${QTANGOLIBS}


